<?php
/*
=====================
Модуль скачан с сайта:
Понедельников НЕТ! - Сайт альтернативной поддержки Slaed CMS! (http://www.ponedelnikov.net)
=====================
SHAKA1, 2009
e-mail: seregam007@mail.ru
=====================
*/
function pl ($a){
if ($a%10==1 && $a%100!=11) return 0;
elseif($a%10>=2 && $a%10<=4 && ($a%100<10 || $a%100>=20)) return 1;
else return  2;
}

function pl_str ($i, $str1, $str2, $str3){
$plural= pl($i);
switch ($plural) {
case 0:$out_str = $str1;break;
case 1:$out_str = $str2;break;
default:$out_str = $str3;
}
return $out_str;
}

function cut($str,$len=40,$par=0) {
if (intval($len)==0) return $str;
if ($par==0) $par=strlen($str);
if (strlen($str)>intval($len)) {
$str=preg_replace('~ [^ ]*$~','',substr($str,0,intval($par)));
$str = rtrim($str, '@"#№;$%:^&*()_=+`~\'<>{}[]|-/\,.!?');
}
return $str;
}

function validmail($mail) {
  $mail = strtolower($mail);
	if ((!$mail) || ($mail=="") || (!preg_match("/^[_\.0-9a-z-]+@([0-9a-z][0-9a-z-]+\.)+[a-z]{2,6}$/", $mail))) return 0;
	elseif ((strlen($mail) >= 4) && (substr($mail, 0, 4) == "www.")) return 0;
	elseif (strrpos($mail, " ") > 0) return 0;
	else return 1;
}

function plur_lng ($a, $text){
$slova = explode('|',$text);
if (count($slova)!='3') return $text;
else return pl_str (intval($a), $slova[0], $slova[1], $slova[2]);
}

function ideadate($date, $is_time=false) {
$date=intval($date);
$date=date('Y-m-d H:i:s', $date);
list($day, $time) = explode(' ', $date);
switch( $day ) {
case date('Y-m-d'):
$result = 'Сегодня';
break;
case date( 'Y-m-d', mktime(0, 0, 0, date("m")  , date("d")-1, date("Y")) ):
$result = 'Вчера';
break;
default: {
list($y, $m, $d)  = explode('-', $day);
$month_str = array('января','февраля','марта','апреля','мая','июня','июля','августа','сентября','октября','ноября','декабря');
$month_int = array('01','02','03','04','05','06','07','08','09','10','11','12');
$m = str_replace($month_int, $month_str, $m);
$result = $d.' '.$m.' '.$y;
}
 }
if($is_time) {
list($h, $m, $s)  = explode(':', $time);
$result .= ' в '.$h.':'.$m;
}
return $result;
}

function ajax_cache () {
@Header('Last-Modified: '.gmdate('D, d M Y H:i:s', strtotime('-1 day')).' GMT');
@Header('Content-Type: text/html; charset='._CHARSET);
if (!empty($_SERVER['SERVER_SOFTWARE']) and strstr($_SERVER['SERVER_SOFTWARE'], 'Apache/2'))	@Header('Cache-Control: no-cache, pre-check=0, post-check=0');
else @Header('Cache-Control: private, pre-check=0, post-check=0, max-age=0');
@Header('Expires: 0');
@Header('Pragma: no-cache');
}

function getip_idea() {
if (getenv("REMOTE_ADDR") && strcasecmp(getenv("REMOTE_ADDR"), "unknown")) $ip = getenv("REMOTE_ADDR");
elseif (!empty($_SERVER['REMOTE_ADDR']) && strcasecmp($_SERVER['REMOTE_ADDR'], "unknown")) $ip = $_SERVER['REMOTE_ADDR'];
else $ip = "unknown";
return $ip;
}

function ideas_page($module_name="", $numstories, $numpages, $storynum, $module_link="", $first=1) {
	global $pagenum, $admin_file, $idea;
	$contents='';
	if ($first==2) $pagenum = (intval($pagenum)) ? $pagenum : $numpages;
	else $pagenum = (intval($pagenum)) ? $pagenum : 1;
	if ($numpages > 1) {
		if (defined("ADMIN_FILE")) {$index = $admin_file;$module = "";
		} else {$index = "index";$module = "name=".$module_name."&";}
	$contents .="<center><div style=\"padding-top:10px;\"><b>"._OVERALL." $numstories ".plur_lng($numstories, ""._COUNT_IDEA."")." "._ON." $numpages ".plur_lng($numpages, ""._IDEA_PAGE."")." $storynum "._PERPAGE."</b></div><hr /><div class=\"ideapagnum\">";
    if ($first==2) {
     if ($pagenum < $numpages) $contents .="<a href=\"".$index.".php?".$module."".$module_link."pagenum=".($pagenum - 1)."\" class=\"aleft\">&#171;</a>";
	$contents .=" ";
		for ($i = $numpages; $i>=1; $i--) {
      if ($i == $pagenum) $contents .=" <span>$i</span> ";
      elseif ((($i > ($pagenum - 8)) && ($i < ($pagenum + 8))) || ($i == $numpages) || ($i == 1)) $contents .="<a href=\"".$index.".php?".$module."".$module_link."pagenum=$i\"><b>$i</b></a>";
		if ($i > 1) {
		  if (($i > ($pagenum - 8)) && ($i < ($pagenum + 9))) $contents .=" ";
			if (($pagenum <= $numpages-9) && ($i == $numpages)) $contents .=" <span>...</span> ";
			if (($pagenum > 8) && ($i == 2)) $contents .=" <span>...</span> ";
		} else $contents .=" ";
      }
      if ($pagenum > 1) $contents .="<a href=\"".$index.".php?".$module."".$module_link."pagenum=".($pagenum + 1)."\" class=\"aleft\">&#187;</a>";
   } else {
      if ($pagenum > 1) $contents .="<a href=\"".$index.".php?".$module."".$module_link."pagenum=".($pagenum - 1)."\" class=\"aleft\">&#171;</a>";
	$contents .=" ";
      for ($i = 1; $i < $numpages+1; $i++) {
      if ($i == $pagenum) $contents .=" <span>$i</span> ";
      elseif ((($i > ($pagenum - 6)) && ($i < ($pagenum + 6))) OR ($i == $numpages) || ($i == 1)) $contents .="<a href=\"".$index.".php?".$module."".$module_link."pagenum=$i\"><b>$i</b></a>";
			if ($i < $numpages) {
				if (($i > ($pagenum - 7)) && ($i < ($pagenum + 6))) $contents .="  ";
				if (($pagenum > 7) && ($i == 1)) $contents .=" <span>...</span> ";
				if (($pagenum < ($numpages - 6)) && ($i == ($numpages - 1))) $contents .=" <span>...</span> ";
			} else $contents .=" ";
      }
        if ($pagenum < $numpages)	$contents .="<a href=\"".$index.".php?".$module."".$module_link."pagenum=".($pagenum + 1)."\" class=\"aleft\">&#187;</a>";
        }
  $contents .="</div></center>" ;
    return $contents;
    }
}

function chk_imoder($aclose_com) {
global $user;
$ok=0;
if (is_user($user)) {
$uclose_check = htmlspecialchars(substr($user[1], 0, 25));
$uclose_com = explode(",", $aclose_com);
foreach ($uclose_com as $key => $val) {
$val=trim($val);
if ($val == $uclose_check && $val != "") $ok=1;
}
}
return $ok;
}

function aidea_select ($param, $zerro) {
if ($param==$zerro) $select="selected='selected'";
else $select="";
return $select;
}

function captcha_check_captcha() {
session_start();
if(isset($_SESSION['captcha_keystring']) && $_SESSION['captcha_keystring'] ==  $_POST['keystring']){unset($_SESSION['captcha_keystring']);return 0;}
else{unset($_SESSION['captcha_keystring']);return 1;}
}
?>